Subject: bug#42149: Substring and flex completion ignore implicit trailing ‘any’

From: João Távora <[email-masked]>
Date: Mon, 28 Dec 2020 23:20:19 +0000

Stefan Monnier <[email-masked]> writes:

>> I think this elimination of consecutive `any' should also be included in
>> João’s branch.
>
> I just pushed (a rewrite of) that change to `master`.

And I just pushed my cleaned up fix to to master as well, thus hopefully
fixing the brunt of this bug.  Dario and others, please test this.  I
haven't yet pushed the tests, since we're not entirely sure of those,
but I think we should break them up further and push them too, once we
come to an aggreement on what and how they should test exactly.

Thanks,
João